%global pypi_name ansible-navigator
%global python3_pkgversion 38
%global commitId fa5ab6f372b6134e681c87cbfc35341c546eb68d

Name:           %{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Red Hat Ansible Automation Platform CLI

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-navigator
Source0:        ansible-navigator-fa5ab6f372b6134e681c87cbfc35341c546eb68d.tar.gz
BuildArch:      noarch

Patch1:         image_path_override.patch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

Requires: ansible-runner >= 2.0.0
Requires: podman
Requires: python%{python3_pkgversion}
Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-onigurumacffi
Requires: python%{python3_pkgversion}-pyyaml
Requires: python%{python3_pkgversion}-importlib-resources

%description
A TUI for the Red Hat Ansible Automation Platform

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Wed Oct 13 2021 Yanis Guenane <yguenane@redhat.com> - 1.1.0-1
- Ansible Navigator 1.1.0-1

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-2
- Override execution environment image path

* Mon Jun 28 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Ansible Navigator 1.0.0-1
